Mac OS X Tiger 10.4.1 to 10.4.3 userland update

Mac OS X Tiger 10.4.1 to 10.4.3 userland update | 602 MB

Year : 2005 Version : 10.4.3 userland + 10.4.1 kernel
developer : OSx86 Project Platform : Intel only (SSE2 supported)
System Requirements : Integrated video series Intel Extreme Graphics 2 (830M/845G/852GM/855GM/865G), installed Mac OS X 10.4.1 .Language : English only Tablet : Not required MD5 Hash : 1a2c754749c2699737b0139f3de6b9f3
Description : Once needed to work in Xcode and native environment is not home, and the available machines was only an ancient laptop with graphics 855GM.
Sitting in the VESA still inconvenient because of the brakes and the absence of specific authorization notebook. By gugleniya found necessary kexts for 10.4.1 (and only! In another way) from Darwin/x86 8.0.1, installing I got a native resolution (in my case it was 1280x768) and QE (Quartz Extreme, 2D-acceleration .) Further, it became clear that 10.4.1 is so hopelessly behind (almost all the software which can be found on the Internet requires 10.4.3 or higher), which in a matter of urgency by e2k was vyuzhen yuzerlend-update to 10.4.1, which brings frameworks of 10.4.3, some updated software, and exec-patch, which allows you to run 10.4.2 + binaries (with the so-called Mach-O format). Keep in mind that will only work some of the 10.4.2 + application, but it is very necessary addition to distributing Mac OS X 10.4.1, existing on the Rutrekere. 10.4.3 This requires a fresh install, and no other way out. Extras

How to install
The image of the hand you will find AppleIntel830.tar.bz2, it is necessary to unpack and if necessary, to supplement your AppleIntel830.kext/Contents/Info.plist ID'shkoy Extreme Graphics 2 video card. Now it is registered support for 855GM and 915GM. Then you need to put kexts in / System / Library / Extensions /, arrange them permisheny and attributes, delete Extensions.mkext and Extensions.kextcache from / System / Library / Extensions and reboot with the option-F. Finally, look in System Profiler, you should see your native resolution and an indication that Quartz Extreme is enabled. If nothing happened, you should double-check your actions and read this topic . Some cards require drivers to pre-allocate memory for video (which the decision can not), QE does not see the desired amount of memory (approx. 16MB), and is not activated. In this case, the scheme has helped people to where you want to reboot into Mac OS X from Windows with installed video driver, for some people QE activated itself after a double reboot in Mac OS X (the first time in seyfmode).
Then unpack osxupdate.tar in the distribution of the image and install osx86-update.pkg (preferably before and after installation to Repair Disk Permissions), need to reboot.
In the end, in order to circumvent the problem with installing applications require 10.4.3 Place SystemVersion.plist that is present on the image to the / System / Library / CoreServices.

Description of the components distribution
This package contains updates for your 10.4.1 Installation

This Has Only Been tested on a SSE3 proc cpu.

1. tun / tap driver.
2. x86 Flash Plugin.
3. Updated Safari + Webkit
4. All new Frameworks w / SIMD optimizations.
5. Quicktime 7.0.4 x86 complete.
6. 10.4.1 Kernel with 10.4.2 exec patch.
7. SDL FAT Frameworks.
8. Growl x86 Frameworks.

Run Xbench CPU test to confirm IT is working Properly. You should have a 50-70% better score.

Maxxuss Exec-10.4.2 Patch v0.1
Apple has recently released Mac OS X 10.4.2 for the x86 platform (actually, it's only provided to developers as a Developer Transistion Kit, DTK). One of the changes is that the 10.4.2 development tools now generate application binaries with new header information (Mach-O file header). New this header is Incompatible with 10.4.1, 10.4.1 IE on your x86 system, you cannot run Software Which WAS Compiled for and on 10.4.2.
This patch MODIFIES the 10.4.1 kernel to adapt for changes These. Means this, you Should be Able to run 10.4.2 Software.
Please note, That New Software Which is built for 10.4.2 Might require up-to-Date versions of specific system Files, eg frameworks or libraries. In this case, you would also need to update these files. I tested the Software SO far, however, do not require newer system Files.
As a Side note on the patched kernel: It Also contains the v0.5c SSE3-> SSE2 emulator and runtime patcher, That you SO CAN run Rosetta and 4/10. 2 software.